/**
 * valid separators from transform csv to json or vice-versa
 * @type {{"#": string, $: string, "&": string, "*": string, "|": string, ",": string, "-": string, ".": string}}
 */
const separators = {
    '&': '&',
    '.': '\\.',
    '-': '-',
    '$': '\\$',
    '|': '\\|',
    '#': '#',
    '*': '\\*',
    ',': ',',
};

/**
 * Object extra prop header for transform json to excel
 * @type {{headers: boolean, delimiter: string}}
 */
const extraProp = {
    headers: false,
    delimiter: ','
};

/**
 * Object generally with prop content
 * @type {{content: null}}
 */
const objectTransform = {
    content: null
};

module.exports = {
    objectTransformCsv: {...objectTransform},
    objectTransformJson: {...objectTransform},
    extraProp,
    separators
};